import { cacheOrGet } from "./cacheOrGet"
import { deleteKey } from "./deleteKey"
import { get } from "./get"
import { set } from "./set"

import type { DataCache } from "@/services/dataCache/Cache"

export async function createInMemoryCache(): Promise<DataCache> {
  return { type: "in-memory", cacheOrGet, deleteKey, get, set }
}
